It is currently Mon Mar 01, 2021 10:43 pm

All times are UTC + 1 hour




Post new topic Reply to topic  [ 19 posts ]  Go to page Previous  1, 2
Author Message
 Post subject: Re: Compressed libraries are not supported
PostPosted: Tue Feb 23, 2021 11:37 pm 
Online
Addict
Addict
User avatar

Joined: Fri May 12, 2006 6:51 pm
Posts: 2883
Location: Germany
I have now installed the 64bit demo and tested it on an existing *.ACCDB and *.MDB. Drivers used: Microsoft Access Engine X64 2010, OS Windows 7 Pro.

It works here.

The fact that the compiler is not loaded may also be due to a virus protection programme.

I can test with x86 tomorrow

P.S.
Start the correct programme when creating the DSN. Otherwise it will not work. (architecture mismatch etc)

Create DSN for 32bit programme: "C:\Windows\SysWOW64\odbcad32.exe", create DSN for 64bit programme: "C:\Windows\System32\odbcad32.exe".

_________________
My Projects ThreadToGUI / OOP-BaseClass / OOP-BaseClassDispatch / EventDesigner V3
PB v3.30 / v5.70 - OS Mac Mini OSX 10.xx - VM Window Pro / Linux Ubuntu
Downloads on my Webspace


Top
 Profile  
Reply with quote  
 Post subject: Re: Compressed libraries are not supported
PostPosted: Wed Feb 24, 2021 1:42 am 
Offline
User
User

Joined: Sun Feb 21, 2021 5:02 am
Posts: 10
Thanks for your help MK (And Spikey).

Yes right from day one I've had to disable my virus software or the debugger "exits unexpectedly" I think the error is.

In a nutshell...

When I run the 64-bit IDE it enumerates the available DSNs properly (the debug print loop) but only shows the 64-bit DSNs and subsequently of course gets the data mismatch error.

When I run the 32-bit IDE it first says that it can't find the 64-bit compiler (eh!?) and then won't even compile with the same old OBJECT not found error.

Rob


Top
 Profile  
Reply with quote  
 Post subject: Re: Compressed libraries are not supported
PostPosted: Wed Feb 24, 2021 10:21 am 
Online
Addict
Addict
User avatar

Joined: Fri May 12, 2006 6:51 pm
Posts: 2883
Location: Germany
GRAYnomad wrote:
When I run the 32-bit IDE it first says that it can't find the 64-bit compiler (eh!?) and then won't even compile with the same old OBJECT not found error.

Rob


Error in the setting of Purebasic,

You can add several compilers. The 64bit compiler is probably entered as an additional compiler under the compiler setting. You must remove this again so that the correct compiler for 32bit is used again.

_________________
My Projects ThreadToGUI / OOP-BaseClass / OOP-BaseClassDispatch / EventDesigner V3
PB v3.30 / v5.70 - OS Mac Mini OSX 10.xx - VM Window Pro / Linux Ubuntu
Downloads on my Webspace


Top
 Profile  
Reply with quote  
 Post subject: Re: Compressed libraries are not supported
PostPosted: Thu Feb 25, 2021 1:43 pm 
Offline
User
User

Joined: Sun Feb 21, 2021 5:02 am
Posts: 10
I've uninstalled both versions and reinstalled the 32-bit version to get a clean install. However on starting the IDE it loaded the old project, so I'm not sure how clean the install was.

It no longer complains about not finding the 64-bit compiler, so I thought I'd try compiling an empty source file, but the "Library missing: OBJECT (needed by 'Cipher' library)" error persists.

So the 32-bit package is dead in the water at this point, straight up doesn't work, and if I reload the 64-bit package it won't talk to the legacy 32-bit DB it seems which is the point of the exercise.

It might be worth thinking about starting from scratch in 64-bit, recreating the important tables from the old DB using code, and then repopulating the new DB from CSV files.

Thanks anyway guys.

Rob


Top
 Profile  
Reply with quote  
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 19 posts ]  Go to page Previous  1, 2

All times are UTC + 1 hour


Who is online

Users browsing this forum: No registered users and 11 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum

Search for:
Jump to:  

 


Powered by phpBB © 2008 phpBB Group
subSilver+ theme by Canver Software, sponsor Sanal Modifiye